Bug 767170 - JON 3.0.0.GA: "Failed to fetch roles" error when selecting "Roles" in "Administration" tab.
JON 3.0.0.GA: "Failed to fetch roles" error when selecting "Roles" in "Admini...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
x86_64 Linux
low Severity high (vote)
: ---
: JON 3.0.1,RHQ 4.3.0
Assigned To: Lukas Krejci
Mike Foley
:
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10
  Show dependency treegraph
 
Reported: 2011-12-13 07:56 EST by Duncan Doyle
Modified: 2013-08-31 06:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:17:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Duncan Doyle 2011-12-13 07:56:26 EST
Description of problem:
In JBoss Operations Network 3.0.0.GA, cleanly installed on PostgreSQL 9.1, when I go to the "Administration" tab and select the "Roles" entry, I get the error: "Failed to fetch roles":

java.lang.RuntimeException:[1323780300911] javax.ejb.EJBException:java.lang.IllegalArgumentException: PageList was passed an empty collection but 'totalSize' was 2, PageControl[firstRow=25, size=50] -> java.lang.IllegalArgumentException:PageList was passed an empty collection but 'totalSize' was 2, PageControl[firstRow=25, size=50]
--- STACK TRACE FOLLOWS ---
[1323780300911] javax.ejb.EJBException:java.lang.IllegalArgumentException: PageList was passed an empty collection but 'totalSize' was 2, PageControl[firstRow=25, size=50] -> java.lang.IllegalArgumentException:PageList was passed an empty collection but 'totalSize' was 2, PageControl[firstRow=25, size=50]
   at Unknown.java_lang_RuntimeException_$RuntimeException__Ljava_lang_RuntimeException_2Ljava_lang_RuntimeException_2(Unknown source:0)
   at Unknown.com_google_gwt_user_client_rpc_core_java_lang_RuntimeException_1FieldSerializer_instantiate__Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_RuntimeException_2(Unknown source:0)
   at Unknown.com_google_gwt_user_client_rpc_impl_SerializerBase$MethodMap_$instantiate__Lcom_google_gwt_user_client_rpc_impl_SerializerBase$MethodMap_2Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_String_2Ljava_lang_Object_2(Unknown source:0)
   at Unknown.com_google_gwt_user_client_rpc_impl_SerializerBase_$instantiate__Lcom_google_gwt_user_client_rpc_impl_SerializerBase_2Lcom_google_gwt_user_client_rpc_SerializationStreamReader_2Ljava_lang_String_2Ljava_lang_Object_2(Unknown source:0)
   at Unknown.com_google_gwt_user_client_rpc_impl_AbstractSerializationStreamReader_$readObject__Lcom_google_gwt_user_client_rpc_impl_AbstractSerializationStreamReader_2Ljava_lang_Object_2(Unknown source:0)
   at Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
   at Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown source:0)
   at Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown source:0)
   at Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)


Version-Release number of selected component (if applicable):
- JBoss Operations Network 3.0.0.GA
- OpenJDK 1.6.0_22 (fedora-60.1.10.4.fc16-x86_64)
- Fedora 16 X86_64
- Mozilla Firefox 8.0
- PostgreSQL 9.1: postgresql-server-9.1.1-1.fc16.x86_64

How reproducible:
Use Mozilla Firefox 8.0 to select the "Administration - Roles" screen.

Steps to Reproduce:
1. Install JON 3.0.0.GA
2. Open JON Web-console using Mozilla Firefox 8.0
3. Select "Administration" tab.
4. Click on "Roles".
  
Actual results:
Error is displayed: "Failed to fetch roles". Roles are not displayed

Expected results:
Roles are displayed.

Additional info:
- When you click on "Roles" the second time, the roles are displayed correctly.
- This behaviour can be seen as well when using Opera.
- When I use the Google Chrome browser, the error does not occur and roles are displayed correctly.
Comment 1 Mike Foley 2011-12-15 10:18:22 EST
this may be browser specific ...
Comment 2 Lukas Krejci 2012-01-19 05:56:05 EST
I tested this in multiple FF versions (the latest minor release from each major version of FF):

Affected: 8.0.1, 7.0.1, 6.0.2, 5.0.1, 4.0.1
NOT affected: 9.0.1, 3.6.25
Comment 3 Lukas Krejci 2012-01-24 04:56:38 EST
master: http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=4db65364eba2f3327a0d8f13c7ac079497718388

release/jon3.0.x: http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=5407b2871b5c8ed074513992aec8cd07a687b949

Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Mon Jan 23 17:49:51 2012 +0100

    [BZ 767170] - The permissions are already known, don't try to fetch them
    asynchronously again in the role and user views.
    
    This simplifies the rendering of those views tremendously making them work
    reliably and without possible race conditions.
Comment 6 Charles Crouch 2012-01-30 23:34:13 EST
Switching to using MODIFIED for fixes that are in but are waiting to get into a build.
Comment 7 Simeon Pinder 2012-02-02 14:25:44 EST
Moving to ON_QA as 3.0.1 RC2 is available from here:

https://brewweb.devel.redhat.com//buildinfo?buildID=197202
Comment 8 Mike Foley 2012-02-02 14:33:11 EST
verified JON 3.01 RC#2 with FF browser
Comment 9 Heiko W. Rupp 2013-08-31 06:17:28 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.